Table of Contents
Overview
An Audio Bible object represents a single audio translation of the Bible. Audio Bibles are nearly identical to Bibles, including their content structure. Audio Bibles, however, have one audio file for each chapter and therefore cannot be queried at the verse level. This is why Audio Bibles are queried separately from normal Bibles.
Audio Bible availability via API.Bible requires special licensing. For more information, please reach out to support@api.bible.
Fetching Your Available Audio Bibles
GET https://rest.api.bible/v1/audio-bibles
To fetch your list of available Audio Bibles, you must send a GET request to the above API endpoint. This will return a list of every Audio Bible you have access to via API.Bible.
Parameters
You can use the following query parameters to alter the results of your request:
| Name | Format | Example | Description |
|---|---|---|---|
language | ISO 639-3 three digit language code | eng | Returns Bibles in this language |
abbreviation | Bible abbreviation | NIV | Searches for Bibles with this abbreviation |
name | Bible name | New International Version | Searches for Bibles with this name |
ids | Comma-separated list of Bible IDs | 78a9f6124f344018-01, a761ca71e0b3ddcf-01 | Returns available Bibles in this list |
include-full-details | Boolean | true | Returns copyright and promo info for each Bible |
Response
Below is the expected output structure from a successful API request:
{"data": [{"id": "string","dblId": "string","abbreviation": "string","abbreviationLocal": "string","language": {"id": "string","name": "string","nameLocal": "string","script": "string","scriptDirection": "string"},"countries": [{"id": "string","name": "string","nameLocal": "string"}],"name": "string","nameLocal": "string","description": "string","descriptionLocal": "string","relatedDbl": "string","type": "string","updatedAt": "2026-04-07T19:41:30.708Z"}]}
Fetching a Single Audio Bible
GET https://rest.api.bible/v1/bibles/{bibleId}
To fetch information about a single Audio Bible, you must send a GET request to the above API endpoint using the Bible ID of the Audio Bible you would like to fetch. If you are having trouble finding the Bible ID of a specific Audio Bible, try fetching your available Audio Bibles first.
Parameters
There are no additional parameters for this endpoint.
Response
Below is the expected output structure from a successful API request:
{"data": {"id": "string","dblId": "string","abbreviation": "string","abbreviationLocal": "string","copyright": "string","language": {"id": "string","name": "string","nameLocal": "string","script": "string","scriptDirection": "string"},"countries": [{"id": "string","name": "string","nameLocal": "string"}],"name": "string","nameLocal": "string","description": "string","descriptionLocal": "string","info": "string","type": "string","updatedAt": "2026-04-07T20:07:54.416Z","relatedDbl": "string"}}
Fetching a List of Books for an Audio Bible
GET https://rest.api.bible/v1/audio-bibles/{bibleId}/books
To fetch a list of books for an Audio Bible, you must send a GET request to the above API endpoint. This will return a list of
every book available in this Audio Bible. Using the include-chapters parameter will allow you to fetch every book and chapter for this
Bible in a single request.
Parameters
You can use the following query parameters to alter the results of your request:
| Name | Format | Default | Description |
|---|---|---|---|
include-chapters | Boolean | false | Returns available chapter information for each book |
include-chapters-and-sections | Boolean | false | Returns available chapter and section information for each book |
Response
Below is the expected output structure from a successful API request:
{"data": [{"id": "string","bibleId": "string","abbreviation": "string","name": "string","nameLong": "string","chapters": [{"id": "string","bibleId": "string","number": "string","bookId": "string","reference": "string"}]}]}
Fetching a Single Book
GET https://rest.api.bible/v1/audio-bibles/{bibleId}/books/{bookId}
To fetch a single book for an Audio Bible, you must send a GET request to the above API endpoint using the appropriate Bible ID and Book ID you would like to fetch. If you are having trouble finding a specific Book ID, try fetching a list of books first.
Parameters
You can use the following query parameters to alter the results of your request:
| Name | Format | Default | Description |
|---|---|---|---|
include-chapters | Boolean | false | Returns available chapter information for each book |
Response
Below is the expected output structure from a successful API request:
{"data": {"id": "string","bibleId": "string","abbreviation": "string","name": "string","nameLong": "string","chapters": [{"id": "string","bibleId": "string","number": "string","bookId": "string","reference": "string"}]}}
Fetching a List of Audio Chapters for a Book
GET https://rest.api.bible/v1/audio-bibles/{bibleId}/books/{bookId}/chapters
To fetch a list of chapters for a book of an Audio Bible, you must send a GET request to the above API endpoint using the appropriate Bible ID and Book ID you would like to fetch. If you are having trouble finding a specific Book ID, try fetching a list of books first.
You may also use the /books endpoint to fetch chapter data using the include-chapters query parameter. For more, see our guide on
Fetching a List of Books for a Bible.
Parameters
There are no additional parameters for this endpoint.
Response
Below is the expected output structure from a successful API request:
{"data": [{"id": "string","bibleId": "string","number": "string","bookId": "string","reference": "string"}]}
Fetching a Single Audio Chapter
GET https://rest.api.bible/v1/audio-bibles/{bibleId}/chapters/{chapterId}
To fetch a single audio chapter, you must send a GET request to the above API endpoint using the appropriate Bible ID and Chapter ID you would like to fetch. If you are having trouble finding a specific Chapter ID, try fetching a list of chapters first.
A presigned link to the audio file for this audio chapter will be included in the resourceUrl field. This link
will expire, so it is recommended to download that audio file using that link as quickly as you are able. It is not recommended
that you stream audio directly from the provided link, as you will run into a number of ongoing issues.
Some audio chapters will include timecodes. These allow you to match verses in a chapter to a specific time code in the audio file.
This can be helpful if you are using both text and audio Bibles and would like to highlight the verse as it is being read.
Parameters
There are no additional parameters for this endpoint.
Response
Below is the expected output structure from a successful API request:
{"data": {"id": "string","bibleId": "string","number": "string","bookId": "string","resourceUrl": "string","timecodes": [{"end": "string","start": "string","verseId": "string"}],"expiresAt": 0,"reference": "string","next": {"id": "string","bookId": "string","number": "string"},"previous": {"id": "string","bookId": "string","number": "string"},"copyright": "string"},"meta": {"fums": "string","fumsId": "string","fumsJsInclude": "string","fumsJs": "string","fumsNoScript": "string"}}